Jump to content

[Mod Pack] IL-2 Enhanced (Updated 9/1/21)


-332FG-drewm3i-VR
 Share

Recommended Posts

On 9/10/2021 at 11:42 AM, echo-2 said:

Hey guys, is this yours? Scripted T-34 campaign ERROR_210910193932.thumb.png.dbc05244bd94409588b02cae8d5cfc6b.png

 

I just saw this error and I do not have Tank Crew.  It came up a few seconds into the first mission of a new Stalingrad Bf 110 career.

The crashing mission happens to be an Armor Attack mission.  The career mission generator has probably added some Russian tanks to the game world for the Bf 110 mission to attack and the tank object loading crashes the game.

Link to comment
Share on other sites

9 часов назад, Garafrax сказал:

 

I just saw this error and I do not have Tank Crew.  It came up a few seconds into the first mission of a new Stalingrad Bf 110 career.

The crashing mission happens to be an Armor Attack mission.  The career mission generator has probably added some Russian tanks to the game world for the Bf 110 mission to attack and the tank object loading crashes the game.

Yes, i also got this error during Il-2 mission. So you cannot play this mod in Tank crew dlc neither fly missions

Link to comment
Share on other sites

F0cke_Wulf

Wonderful Modpack. Wish the wintertime maps trees were a little more reliable with the quality but overall looks absolutely gorgeous on the flatscreen.👍

  • Upvote 1
Link to comment
Share on other sites

curiouslysophie
4 hours ago, rowdyb00t said:

Heads up @drewm3i-VR  got a new version of clouds. ;)

 

I was wondering about this. I use this mod pack. Can I just overwrite the existing clouds in it? Or should I wait for an updated version?

Link to comment
Share on other sites

-332FG-drewm3i-VR
On 9/14/2021 at 3:50 AM, curiouslysophie said:

 

I was wondering about this. I use this mod pack. Can I just overwrite the existing clouds in it? Or should I wait for an updated version?

Yes, that would be just fine :)

Edited by drewm3i-VR
Link to comment
Share on other sites

Yo-Yo_Kirby

Your efforts are appreciated! I've noticed already multiple glaring issues from the first days I flew in IL-2. Pe-2 gunners have done quite a bit of damage me even in situations where it would've been practically impossible for a gunner to track. The 50 cals also do too little damage even at <200m at things aside from killing the pilot. I'm playing through the career right now. Noticed the German accent feels more authentic with this as well. Thanks

Link to comment
Share on other sites

JG5_Schuck

It would be nice if the devs actually incorporated some of these "fixes" into the game....
and gave a nod to the people who made them.

  • Upvote 1
Link to comment
Share on other sites

-332FG-drewm3i-VR
On 9/13/2021 at 8:34 PM, rowdyb00t said:

Heads up @drewm3i-VR  got a new version of clouds. ;)

I see the new versions of the clouds. What would you recommend for vr? I am still running Clouds VR2 Grey Sky in this pack for now.

Link to comment
Share on other sites

5 hours ago, drewm3i-VR said:

I see the new versions of the clouds. What would you recommend for vr? I am still running Clouds VR2 Grey Sky in this pack for now.


  Try out the performance version. I run the detailed version myself and also fly in VR. 

  • Upvote 1
Link to comment
Share on other sites

-332FG-drewm3i-VR
2 hours ago, rowdyb00t said:


  Try out the performance version. I run the detailed version myself and also fly in VR. 

The next iteration will use your performance version 16 with the gpreset. I tried it last night: big improvement!

Link to comment
Share on other sites

[EGGS]amagony

It seems like the weapon effects / tracers doesn't work with the newest update. But it's possible that the reworked effects will look as great as in this modpack. :) I haven't tried without this pack yet.

Link to comment
Share on other sites

-332FG-drewm3i-VR
On 9/21/2021 at 3:51 PM, [EGGS]amagony said:

It seems like the weapon effects / tracers doesn't work with the newest update. But it's possible that the reworked effects will look as great as in this modpack. :) I haven't tried without this pack yet.

Yep, very likely the new update broke @QB.Rails Weapons Mod and/or @ACG_Cass AP Fix. 

 

I'm also working on a .3 version of the pack for release soon.

Link to comment
Share on other sites

19 hours ago, drewm3i-VR said:

I'm also working on a .3 version of the pack for release soon.


  Let me know before you release it, I have a revised version of 16 but I haven’t had time to post it yet. I fixed the some skydomes in the morning and evenings, the light 180 degrees from the sun was too dark. Also worked the detailed versions light clouds. 

  • Upvote 2
Link to comment
Share on other sites

-332FG-drewm3i-VR
7 hours ago, rowdyb00t said:


  Let me know before you release it, I have a revised version of 16 but I haven’t had time to post it yet. I fixed the some skydomes in the morning and evenings, the light 180 degrees from the sun was too dark. Also worked the detailed versions light clouds. 

I can wait for this. Sounds good!

  • Upvote 2
Link to comment
Share on other sites

Yo-Yo_Kirby
On 9/23/2021 at 6:21 AM, drewm3i-VR said:

Yep, very likely the new update broke @QB.Rails Weapons Mod and/or @ACG_Cass AP Fix. 

 

I'm also working on a .3 version of the pack for release soon.

Around a day or two, I had my 15 minutes of luck downing 5 He 111s with just burst in the P-40E, setting them on fire. Must’ve been my superb aim day. Had this installed already too.


Looking forward to this!

Link to comment
Share on other sites

  • 3 weeks later...
sandmonkee

Hi there,

I installed this mod pack (IL-2 Enhanced VR Performant Version) last night from the latest link in the OP. It makes the game look spectacular, but unfortunately I am getting an error:

image.png.eddae4cdb26676d21a58b6c935c6b68d.png

 

It usually happens while I'm firing my guns (so far I've only flown the Spitfire and Tempest). The game doesn't crash, but it prevents any input from me until I hit OK, so I usually end up crashing my plane if I'm anywhere near the ground.

 

This mod pack is the only mod I have installed.

Any help would be appreciated - thanks!

 

Edited by sandmonkee
Link to comment
Share on other sites

Stonehouse

It's most likely QB Rails Weapon mod which was at least partially, if not fully superseded with the last patch for the game. I'm not sure how the IL2 Enhanced mod pack presents each individual mod but if it is all merged into one big single mod then you're pretty much stuck until the pack is amended and I think you will have to disable the mod pack (I am assuming you are using JSGME or similar) for now. 

 

Link to comment
Share on other sites

sandmonkee
6 hours ago, Stonehouse said:

It's most likely QB Rails Weapon mod which was at least partially, if not fully superseded with the last patch for the game. I'm not sure how the IL2 Enhanced mod pack presents each individual mod but if it is all merged into one big single mod then you're pretty much stuck until the pack is amended and I think you will have to disable the mod pack (I am assuming you are using JSGME or similar) for now. 

 

Yah it appears to be all merged together. I was kind of bummed to see that after downloading 6.5 GB, especially since the first post says 

Update 9/1/21:

This modpack is now going to be offered in one modular version going forward with various options included as jsgme add-ons

 

So there's no way to fix this myself? Seems a huge pity to have to disable the whole thing because of one file from one mod. 😥

Link to comment
Share on other sites

Stonehouse

Seems so I think. It's the downside of a merged pack I'm afraid, the upside being simplicity for the user in that you just have one thing to enable and someone has figured out the inter mod dependencies for you (ie the order they should be loaded in).

 

Your alternative is to go and get the individual mods that make up the pack and just leave out the weapons mod and AP fix and load the individual mods if you prefer not to wait. I guess you could also get the weapons mod and AP fix and try to cross compare to the merged pack and remove the files that correspond to the weapons mod and AP fix from your copy of the merged pack. Pretty sure the weapons mod had quite a large number of files so not impossible but could be a few hours work.

Edited by Stonehouse
  • Thanks 1
Link to comment
Share on other sites

On 10/11/2021 at 2:21 PM, sandmonkee said:

So there's no way to fix this myself? Seems a huge pity to have to disable the whole thing because of one file from one mod. 😥

Deactivate the mod and the search for the "luascripts" folder in the IL2enhanced file (data). Delete it or put it somewhere else reactivade the mod and the script errors are gone.

I just started a mission doing this and no problems at the moment.

Edited by Wolzow
Link to comment
Share on other sites

Stonehouse

Only a suggestion but I suspect you are clobbering quite a few other mods than the QB Rails weapon mod and AP fix mod by renaming the luascripts folder.

 

Perhaps try disabling this big merged mod pack in JSGME or whatever and go into the mod and find the luascripts folder and then within that folder find

  • the ballistics folder. Rename that to ballisticsx or something
  • then do the same for the folder explosions - so rename this to explosionsx
  • then folder weapons - rename to weaponsx.

The re-enable the merged mod pack and see how you go.

 

I don't use this big pack as I like the flexibility of individual mods and instead I use the mod profiles you can create in JSGME to ensure easy & correct one click loading (well 2 perhaps) of a large group of mods, so some of the above is a guess based on the contents of the weapon mod and the dispersion mod but I believe doing what I suggest will limit things to removing just the weapon and ballistics and related explosion effects mods and revert things to the base game files for that aspect. Hopefully it helps you and works better.

Edited by Stonehouse
  • Thanks 1
Link to comment
Share on other sites

Hello! I just got this mod a few hours ago and I seem to be having issues with an error message that comes up each time I go to engage an enemy aircraft, not sure what is going on but if anyone knows a fix it would be apprecited. Update figured out it was the ap mod! Sad to see this isn't working right for its an amazing mod! I will get the single files, but know this mod was worth it! ❤️

Screenshot (61).png

Edited by JadeLotus19
Link to comment
Share on other sites

On 10/20/2021 at 10:37 PM, JadeLotus19 said:

Hello! I just got this mod a few hours ago and I seem to be having issues with an error message that comes up each time I go to engage an enemy aircraft, not sure what is going on but if anyone knows a fix it would be apprecited. Update figured out it was the ap mod! Sad to see this isn't working right for its an amazing mod! I will get the single files, but know this mod was worth it! ❤️

Screenshot (61).png

This was discussed in the posts above yours...

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...